Move one of the authenticated customer’s bookings to a new time
POST
/api/portal/bookings/{id}/reschedule
const url = 'https://example.com/api/portal/bookings/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reschedule';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"startTime":"example","staffId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/portal/bookings/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reschedule \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "startTime": "example", "staffId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
startTime
required
string
staffId
string format: uuid
Examplegenerated
{ "startTime": "example", "staffId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
status
required
string
startTime
required
string
endTime
required
string
durationMinutes
required
integer
serviceId
required
string format: uuid
serviceName
required
string
staffId
required
string format: uuid
staffName
required
string
priceCents
required
integer
Example
{ "data": { "status": "pending", "locationType": "in_person" }}